Create RefundCopy Pagepost https://gw.praxisgate.com/direct/refundBody Paramsmerchant_idstringrequiredlength ≤ 50Merchant API client account identifier.application_keystringrequiredlength ≤ 32Identifier of your application (website).versionstringrequiredlength ≤ 3API version.timestampintegerrequiredRequest time (unix timestamp, seconds).transaction_typestringrequiredlength ≤ 16Transaction type.currencystringrequiredlength ≤ 10Base Currency: The user's account currency on the merchant site.amountintegerrequiredTransaction amount in cents. Note: For certain currencies there is a fraction other than 100 cents per unit, this is important if you multiply by 100 to send the amount in cents.cidstringrequiredlength ≤ 50Unique customer id in your system. Note: Personally Identifiable Information (PII), such as email addresses, is strictly forbidden. If your user identifier contains any PII, you must hash or encrypt it before sending it to the API.localestringenumrequiredlength ≤ 5User locale, specified as a BCP 47 Language Tag (e.g., 'en-GB'). The first component is the ISO 639-1 language code, and the second is the ISO 3166-1 country code. Note: Contact [email protected] to add new locale if not available in the list.ar-SAcs-CZzh-CNzh-TWnl-NLen-GBtl-PHfi-FIfr-FRde-DEel-GRhe-ILhi-INhu-HUit-ITid-IDja-JPko-KRlt-LTms-MYpl-PLpt-PTru-RUsk-SKes-ESsv-SEth-THtr-TRvi-VNhy-AMbg-BGkh-KHda-DKet-EEka-GElv-LVnb-NOsr-RSsl-SIta-INuk-UAsq-ALShow 42 enum valuesorder_idstringrequiredlength ≤ 50Transaction or session identifier in your system.reference_idintegerrequiredIn case of refund, this value specifies the ID of transaction to be refundedwithdrawal_request_idintegerOriginal transaction identifier from. Send the tid of withdrawal request if you want the payout amount to be deducted from withdrawal request as processed.variable1stringlength ≤ 50Unique customer id in your system. Note: Personally Identifiable Information (PII), such as email addresses, is strictly forbidden. If your user identifier contains any PII, you must hash or encrypt it before sending it to the API.variable2stringlength ≤ 256Your custom field to tag the transaction with some necessary information.variable3stringlength ≤ 256Your custom field to tag the transaction with some necessary information.Headersgt-authenticationstringrequiredAuthentication HTTP header of your outgoing request to the API. Below request parameters should be used for creating signature in request header. merchant_id application_key timestamp transaction_type cid order_id currency amount reference_id withdrawal_request_id Responses 200OK - Successful response 400Bad request - Missing signature 403Forbidden request - IP address not whitelistedUpdated 6 months ago